Skip to main content
PUT
/
v1
/
datasets
Update a dataset (deprecated)
curl --request PUT \
  --url https://api.honeyhive.ai/v1/datasets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataset_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "datapoints": [
    "<string>"
  ]
}
'
import requests

url = "https://api.honeyhive.ai/v1/datasets"

payload = {
"dataset_id": "<string>",
"name": "<string>",
"description": "<string>",
"datapoints": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataset_id: '<string>',
name: '<string>',
description: '<string>',
datapoints: ['<string>']
})
};

fetch('https://api.honeyhive.ai/v1/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": {
    "id": "<string>",
    "name": "<string>",
    "datapoints": [
      "<string>"
    ],
    "description": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for PUT /datasets (deprecated — use PUT /datasets/{dataset_id})

dataset_id
string
required

Unique identifier of the dataset to update

Minimum string length: 1
name
string

New dataset name

Maximum string length: 200
description
string

New dataset description

datapoints
string[]

Updated list of datapoint IDs

Minimum string length: 1

Response

200 - application/json

Successful update

Response for PUT /datasets

result
object
required